BEGIN BTSOLAK

IF ~See(Player1)
  Global("TsolakResurrected","GLOBAL",1)~
THEN BEGIN greetingStart
   SAY ~Ahh, I'am alive! It's you! You was with hunters! Why did you animated me? Where am I?~
   ++ ~Calm down, Tsolak. I've decided to return you to life, so you must serve me!~ + briefingNV1
   ++ ~I've returned you to life to kill you again!~ + briefing3f
END


IF ~~ briefingNV1
  SAY ~I was on a mission for Warlock Crypt. And you failed it. Now I don't have nowhere to return to and my contracters will kill me. I can serve you, if you will be a good master. I owe you my life.~
  ++ ~You can join our party, if you wish.~ + briefing2
  ++ ~You are free to go. I don't need you.~ + briefing3
  ++ ~Die, monster!~ + briefing3f
END



IF ~~ briefing2
  SAY ~With pleasure!~
  IF ~~ THEN DO ~
  SetGlobal("TsolakResurrected","GLOBAL",2)
  DestroyItem("MONHP1")
  DestroyItem("VVTSOLAK")
  GiveItemCreate("VVCASKET",Myself,1,1,0) // Empty Casket		
  JoinParty()
  ~ EXIT
END

IF ~~ briefing3f
  SAY ~No!~
  IF ~~ THEN DO ~DestroyItem("MONHP1")
  SetGlobal("TsolakResurrected","GLOBAL",2)
SetGlobal("TsolakLeft","GLOBAL",1)  
Enemy()
Attack(Player1)
~ EXIT
END

IF ~~ briefing3
  SAY ~Then goodbye, <CHARNAME>, and I thank you from all my heart!~
  IF ~~ THEN DO ~RunAwayFromNoInterrupt(Player1,50)
  SetGlobal("TsolakResurrected","GLOBAL",2)
  SetGlobal("TsolakLeft","GLOBAL",1)  
  DestroyItem("MONHP1")
DestroySelf()
~ EXIT
END

//when thrown out
IF ~Gender(Player1,MALE)
!InParty(Myself)~ THEN BEGIN GreetingVManB1
SAY ~Do you not need me anymore?~ 
 ++ ~Return, Tsolak, I need your skills.~ + notparty1
 ++ ~Sit down here, I will return.~ + notparty2
  ++ ~You are free to go. I don't need you.~ + briefing3 
 ++ ~I decided to end your life.~ + briefing3f
END

IF ~~ notparty2
SAY ~Okay, master!~
IF ~~ THEN DO ~~ EXIT
END

IF ~Gender(Player1,FEMALE)
!InParty(Myself)~ THEN BEGIN GreetingVFemB1
SAY ~Did you missed me, my mistress?~ 
 ++ ~Return, Tsolak, I need you, my loyal servant.~ + notparty1
 ++ ~Stay here, Tsolak, I will return.~ + notparty2
 ++ ~I decided to end your life.~ + briefing3f
END

IF ~~ notparty1m
  SAY ~Okay, okay!~
  IF ~~ THEN DO ~
	//	DestroyItem("VVTSOLAK")
	//	DestroyItem("MONHP1")
		JoinParty()~ EXIT
END

IF ~~ notparty1
  SAY ~With pleasure!~
  IF ~~ THEN DO ~
		JoinParty()~ EXIT
END



// talk in party

IF ~Gender(Player1,MALE)
InParty(Myself)
Race(Player1,VAMPIRE)~ THEN BEGIN GreetingManV1
SAY ~Hello, <CHARNAME>! Do you need something?~ 
 ++ ~Are you hungry? You can suck my blood, Tsolak.~ + suckblood
 ++ ~Tell me your story, Tsolak.~ + talkTsolakM
 ++ ~No, nothing right now, Tsolak.~ + byesilent
  ++ ~I decided to end your life.~ + briefing3f
END

IF ~Gender(Player1,FEMALE)
InParty(Myself)
Race(Player1,VAMPIRE)~ THEN BEGIN GreetingFemV1
SAY ~Hello, <CHARNAME>! Do you need something?~ 
 ++ ~Are you hungry? You can suck my blood, Tsolak.~ + suckblood
 ++ ~Tell me your story, Tsolak.~ + talkTsolakF
 ++ ~No, nothing right now, Tsolak.~ + byesilent
  ++ ~I decided to end your life.~ + briefing3f
END

IF ~Gender(Player1,MALE)
InParty(Myself)
!Race(Player1,VAMPIRE)~ THEN BEGIN GreetingMan1
SAY ~Hello, <CHARNAME>! Did you decided to join our kind?~ 
 ++ ~Are you hungry? You can suck my blood, Tsolak.~ + suckblood
 ++ ~Make me one of you, Tsolak.~ + vampconvm
 ++ ~Tell me your story, Tsolak.~ + talkTsolakM
 ++ ~No, nothing right now, Tsolak. Sorry for disturbance.~ + byesilent
   ++ ~I decided to end your life.~ + briefing3f
END

IF ~Gender(Player1,FEMALE)
InParty(Myself)
!Race(Player1,VAMPIRE)~ THEN BEGIN GreetingFem1
SAY ~Hello, <CHARNAME>! Did you decided to join our kind, my mistress?~ 
 ++ ~Do you hungry? You can suck my blood, Tsolak.~ + suckblood
 ++ ~Make me a vampire, Tsolak. I wanna share darkness with you.~ + vampconvf 
 ++ ~Tell me your story, Tsolak.~ +   talkTsolakM
 ++ ~No, nothing right now, Tsolak. Sorry for disturbance.~ + byesilent
   ++ ~I decided to end your life.~ + briefing3f
END

IF ~~ byesilent
SAY ~As you wish.~
  IF ~~ THEN DO ~~ EXIT
END


IF ~~ talkTsolakM
  SAY ~I was born in Athkatla. When I have grown up, I became a necromancer. When I aged enough, I went to explore the Warlock's Crypt with the band of mercenaries.~
  IF ~~ THEN GOTO talkTsolakM2
END

IF ~~ talkTsolakM2
  SAY ~That was about forty years ago. Almost in other life. Our whole group was slaughtered by vampire group. I was converted to vampire, because I begged for mercy and promised to do any thing they needed. I got to work for Warlock's Crypt hosts.~
  IF ~~ THEN GOTO talkTsolakM3
END

IF ~~ talkTsolakM3
  SAY ~Few months ago I was sent to get the Sword of Chaos from Sarevok's minions and to deliver it to some crypt in Ahkatla. That's when you killed me with the help of these bloody bastards. And now I serve you.~
  IF ~~ THEN EXIT
END

IF ~~ talkTsolakF
  SAY ~I was born in Athkatla. When I have grown up, I became a necromancer. When I aged enough, I went to explore the Warlock's Crypt with the band of mercenaries.~
  IF ~~ THEN GOTO talkTsolakM2
END

IF ~~ talkTsolakF2
  SAY ~That was about forty years ago. Almost in other life. Our whole group was slaughtered by vampire group. I was converted to vampire, because I begged for mercy and promised to do any thing they needed. I got to work for Warlock's Crypt hosts.~
  IF ~~ THEN GOTO talkTsolakM3
END

IF ~~ talkTsolakF3
  SAY ~Few months ago I was sent to get the Sword of Chaos from Sarevok's minions and to deliver it to some crypt in Ahkatla. That's when you killed me with the help of these bloody bastards. And now I serve you, my mistress.~
  IF ~~ THEN EXIT
END



IF ~~ suckblood
  SAY ~With pleasure!~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckblood2
END

IF ~~ suckbloodNo
  SAY ~Wait! Your blood is not fit for me! I'm glad I didn't take a bite!~
  IF ~~ THEN DO ~~ EXIT
END




IF ~~ suckblood2
  SAY ~Oohhh, hooow delicious! I feel myself newborn!~
  IF ~~ THEN DO ~ApplyDamagePercent(Player1,80,MAGIC)
  SetGlobalTimer("BloodlustTimer","LOCALS",ONE_DAY)
		ApplySpell(Myself,RESTORE_FULL_HEALTH)~ EXIT 
END

IF ~~ vampconvm
  SAY ~(Tsolak squeamishly embraces you by neck and gets closer.)~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO vampconv2
END


IF ~~ vampconvf
  SAY ~(Tsolak's teeth go out and bite you in your neck. Blood begins to splatter.)~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO vampconv2
END

IF ~~ vampconv2
  SAY ~(Suddently you feel his teeths have pierced your skin and gone to carotid vein. Blood flow is distracted and becomes pulsating. You feel that your blood flows into Tsolak.)~
IF ~~ GOTO vampconv3
END

IF ~~ vampconv3
  SAY ~(Soon you feel great weakness, your throuths are clouded. And you loose consciousness.)~
IF ~~ GOTO vampconv4
END

IF ~~ vampconv4
  SAY ~(...You open your eyes. World around you have changed. You have changed. You feel coldness of your body and immediately you feel all-consuming hunger growing in you.)~
IF ~!Global("TsolakVampirized","LOCALS",1)~ GOTO vampconv5
IF ~Global("TsolakVampirized","LOCALS",1)~ GOTO vampconv5
END

IF ~~ vampconv5
  SAY ~(You are now undead, as you wished. Now you feel presence of Tsolak and his peaceful throughts. He is not a bad person as you see.)~

  IF ~~ THEN DO ~
ActionOverride(Player1,SetGlobal("ActorVampirisedLevel","LOCALS",1))  

		SetGlobal("TsolakVampirized","GLOBAL",1)	
	~ EXIT
END


